package org.jeecg.modules.financeManage.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.financeManage.entity.FdIncome;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.financeManage.entity.FdIncomeItem;

import java.util.List;

/**
 * @Description: 收入确认
 * @author： jeecg-boot
 * @date：   2019-12-02
 * @version： V1.0
 */
public interface IFdIncomeService extends IService<FdIncome> {

    List<FdIncomeItem> getTempItemsByQuotation(String quotationId);

    void addIncome(FdIncome fdIncome);

    void updateIncome(FdIncome fdIncome);

    void copyIncome(FdIncome fdIncome);

    IPage<FdIncome> findByPage(Page<FdIncome> page, QueryWrapper<FdIncome> queryWrapper);

    FdIncome getFdIncomeData(String contractId);

    void refreshProgress();
}
